Get Item Details
curl --request GET \
--url https://app.getswipe.in/api/partner/v2/product/{item_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.getswipe.in/api/partner/v2/product/{item_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.getswipe.in/api/partner/v2/product/{item_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Message",
"error_code": "",
"errors": {},
"data": {
"id": "ITEM123",
"name": "Item Name",
"quantity": 1,
"unit_price": 100,
"price_with_tax": 118,
"item_type": "Product",
"tax_rate": 18,
"purchase_price_with_tax": 118,
"description": "Item Description",
"hsn_code": "1234",
"unit": "kg",
"cess_rate": 0,
"cess_amount": 0,
"barcode": "2273546838467",
"category": "Electronics",
"custom_columns": [
{
"label": "Custom Label",
"value": "Custom Value"
}
],
"alternative_units": [
{
"alternative_unit": "g",
"conversion_rate": 1000
}
],
"preferences": {
"not_for_sale": false,
"low_stock_alert": 0,
"show_online": false,
"discount_percent": 10
},
"visibility": 1
}
}{
"success": true,
"message": "Message",
"error_code": "",
"errors": {},
"data": {
"message": "No data found!"
}
}{
"success": true,
"message": "Message",
"error_code": "",
"errors": {},
"data": {
"message": "No data found!"
}
}{
"success": true,
"message": "Message",
"error_code": "",
"errors": {},
"data": {
"message": "No data found!"
}
}Product V2
Get Item Details
GET
/
v2
/
product
/
{item_id}
Get Item Details
Authorizations
Bearer authentication header of the form Bearer , where is your auth token.
Path Parameters
Item ID to be fetched
⌘I